#ifndef STTL
#define STTL


#include <Eigen/Geometry> 

#include <string>
#include <list>

namespace sttl{

class Frame{
public:
	std::string name;
	Eigen::Transform<double,3,Eigen::Affine> transform;
	Eigen::Matrix<double, 7, 7> covariance; //< the 7x7 covariance matrix of translation and rotation as quaternion
	bool hasCovariance; //< only true ifthe covariance matrix has proper values

	Frame * referenceFrame;
	std::string referenceFrameName;  //< in case the reference Frame cannot be found

	Frame():hasCovariance(false), referenceFrame(0){}

	std::string byUser;
	std::string time;
	std::list<std::string> files;

};

bool saveList(const std::list<sttl::Frame> & frames);


void testSTTL();


}

#endif
